Subject: Re: Re: export RTs

From: "naresh paliwal" <[email-masked]>
Date: 17 Sep 2003 06:10:44 -0000

Robert!!

Advertising with new path attr. doesnot help.
Consider a case, where PE1 advertizes VPN_xy route ROUTE1 with RTs 
X & Y to PE2, which installs the route at PE2, coz it has a VRF 
with import RT Y.
Now if i delete export RT Y at PE1,
it readvertises the route with only X RT,
and its not processed at PE2 as it cant pass the Import route 
target policy of PE2.
And the route remains at PE2's VRF, which shud have been deleted 
as per new export RT policy of PE1.

The solution I see is first send it as an withdrawn route with 
same (OLD) RTs and readvertise with new RTs.

The other solution is resatrting the session..

But both doesnt seems good to me.

any thoughts on this..

-Naresh

On Tue, 16 Sep 2003 Robert Raszuk wrote :
>Naresh,
>
>Why would it be any different for RTs then for any other deletion 
>and readdition of some other attribute or for that matter other 
>std or ext community ?
>
>Neither of those above should disrupt your BGP session. As new 
>advertisment is an implict withdraw of previosuly advertised 
>NLRIs so I don't really see any issues.
>
> > "How the change in export RT should be handled" is my
> > problem basically.
>
>So to answer this question my take would be that prefixes should 
>be readvertised with new RTs.
>
>Thx,
>R.
>
> > naresh paliwal wrote:
>
>>What if I add/delete a export RT of a VPN?
>>
>>As far as i know, Its not discussed in the latest BGP/MPLS VPNs 
>>draft. The draft discusses about import RT (VPN join and prune) 
>>only.
>>
>>"How the change in export RT should be handled" is my problem 
>>basically.
>>Readvertsing all the routes belong to the VPN doesnot help, I 
>>have analysed it very carefully. It has problems while deleting 
>>export RT.
>>
>>Can it be possible to handle change of export RT without 
>>disrupting the bgp session??
>>
>>Regards
>>Naresh Paliwal
>>___________________________________________________
>>Meet your old school or college friends from
>>1 Million + database...
>>Click here to reunite www.batchmates.com/rediff.asp
>>
>>
>>
>>
>

___________________________________________________
Meet your old school or college friends from
1 Million + database...
Click here to reunite www.batchmates.com/rediff.asp